Loading...
Searching...
No Matches
Opm::UDT Class Reference

## Public Types

enum class | InterpolationType { NearestNeighbour , LinearClamp , LinearExtrapolate }

## Public Member Functions

| UDT (const std::vector< double > &x_vals, const std::vector< double > &y_vals, InterpolationType interp_type)
double | operator() (const double x) const
bool | operator== (const UDT &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static UDT | serializationTestObject ()

## Member Enumeration Documentation

## InterpolationType

enum class Opm::UDT::InterpolationType

strong

Enumerator
NearestNeighbour | Corresponds to 'NV'.
LinearClamp | Corresponds to 'LC'.
LinearExtrapolate | Corresponds to 'LL'.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDT.hpp
- opm/input/eclipse/Schedule/UDQ/UDT.cpp